package com.zhyc.module.biosafety.domain;

import java.math.BigDecimal;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zhyc.common.annotation.Excel;
import com.zhyc.common.core.domain.BaseEntity;

/**
 * 处方详情对象 sw_pres_detail
 * 
 * @author ruoyi
 * @date 2025-07-11
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SwPresDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 处方id */
    private Long persId;

    /** 药品id */
    @Excel(name = "药品id")
    private Integer mediId;

    /** 用量 */
    @Excel(name = "用量")
    private BigDecimal dosage;

    /** 单位 */
    @Excel(name = "单位")
    private Integer unitId;

    /** 使用方法 */
    @Excel(name = "使用方法")
    private Integer usageId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPersId(Long persId) 
    {
        this.persId = persId;
    }

    public Long getPersId() 
    {
        return persId;
    }
    public void setMediId(Integer mediId) 
    {
        this.mediId = mediId;
    }

    public Integer getMediId() 
    {
        return mediId;
    }
    public void setDosage(BigDecimal dosage) 
    {
        this.dosage = dosage;
    }

    public BigDecimal getDosage() 
    {
        return dosage;
    }
    public void setUnitId(Integer unitId) 
    {
        this.unitId = unitId;
    }

    public Integer getUnitId() 
    {
        return unitId;
    }
    public void setUsageId(Integer usageId) 
    {
        this.usageId = usageId;
    }

    public Integer getUsageId() 
    {
        return usageId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("persId", getPersId())
            .append("mediId", getMediId())
            .append("dosage", getDosage())
            .append("unitId", getUnitId())
            .append("usageId", getUsageId())
            .toString();
    }
}
